﻿using System;
using UnityEngine;
using System.Collections;
using System.Collections.Generic;
using SimpleJSON;

namespace JayJayWon {
	public class InactiveMorphRangeReset : MVRScript {
		const string pluginName = "InactiveMorphRangeReset";
		const string pluginAuthor = "JayJayWon";
        const string pluginVersion = "v0.2 (Alpha)";

		public override void Init() {
			try {
				var btn = CreateButton("Reset Range for All Inactive Morphs",false);
                btn.button.onClick.AddListener(() =>
                {
                    ExecuteAction();
                });
				
                var spacer = CreateSpacer();
                spacer.height = 250;

				JSONStorableString pluginVersionJSON = new JSONStorableString("PluginVersion","");
				UIDynamicTextField dtext = CreateTextField(pluginVersionJSON,false);
				pluginVersionJSON.val = pluginName +" "+pluginVersion + "\n by "+pluginAuthor;
				dtext.height = 1;
			}
			catch (Exception e) {
				SuperController.LogError("Exception caught: " + e);
			}
		}
		
		void ExecuteAction (){
                
                JSONStorable geometry = containingAtom.GetStorableByID("geometry");
                DAZCharacterSelector character = geometry as DAZCharacterSelector;
                GenerateDAZMorphsControlUI morphControl = character.morphsControlUI;		
				
				
				foreach(DAZMorph dazMorph in morphControl.GetMorphs())
				{
					if (dazMorph.morphValue==dazMorph.startValue ) dazMorph.ResetRange();
				}
		}

	}
}